#pragma once

#include "v3.h"

class M3x3 {

  V3 rows[3];
public:
  M3x3() {};
  M3x3(V3 r0, V3 r1, V3 r2);
  V3& operator[](int i);
  V3 operator*(V3 v);
  void SetColumn(int i, V3 c);
  V3 GetColumn(int i);
  M3x3 operator*(M3x3 m);
  M3x3 Invert();
  M3x3 Transpose();
  void SetRotationY(float theta);
};